import Client from '@hiro-graph/client';
import { ContributorStats, DashboardConfig, StatisticData } from '../dashboard';
export declare const smeConfig: DashboardConfig;
export declare const aieConfig: DashboardConfig;
export declare const me: {
    displayName: string;
    id: string;
    accountId: string;
    email: string;
    roles: string[];
};
export declare const mockWelcomeWidgetConfiguration: {
    loading: boolean;
    error: boolean;
    greeting: string;
    subTitle: string;
    sessionsButtonsConfig: ({
        text: string;
        onClick: () => void;
        id: string;
        buttonText: string;
        btnType: "primary";
        buttonTextCount: number;
    } | {
        text: string;
        onClick: () => void;
        id: string;
        buttonText: string;
        btnType: "secondary";
        buttonTextCount: number;
    })[];
};
export declare const envUrls: {
    graphUrl: string;
    aragoIdUrl: string;
};
export declare const appIds: {
    katId: string;
    atqId: string;
    ivId: string;
    kimId: string;
};
export declare const provider: {
    openApp: () => undefined;
    selectMe: () => {
        displayName: string;
        id: string;
        accountId: string;
        email: string;
        roles: string[];
    };
    selectAppsIds: () => {
        katId: string;
        atqId: string;
        ivId: string;
        kimId: string;
    };
    getEnvUrls: () => {
        graphUrl: string;
        aragoIdUrl: string;
    };
};
export declare const createClient: (mocks: object) => Client;
export declare const knowledgePool: StatisticData;
export declare const automatedTasks: StatisticData;
export declare const automationRate: StatisticData;
export declare const contributors: ContributorStats[];
