import { SetStateAction, Dispatch } from 'react';
import Client from '@hiro-graph/client';
interface Timeseries {
    value: string;
    timestamp: number;
}
export interface TimeseriesResult {
    result?: Timeseries[];
    loading: boolean;
    error: boolean;
}
export interface TimesereiesQuery {
    from?: number;
    to?: number;
    limit?: number;
}
export declare const fetchTimeseriesVertexId: (client: Client, type: string) => Promise<string>;
export declare function fetchTimeseriesValues(client: Client, id: string, options: TimesereiesQuery): Promise<import("@hiro-graph/client").TimeseriesResponse[]>;
export declare function useTimeseries(client: Client, type: string, options: TimesereiesQuery, initialResultValue?: Timeseries[]): [TimeseriesResult, Dispatch<SetStateAction<TimesereiesQuery>>];
export {};
