import { useLucene } from './useLucene';
import { useWidgetContext } from '../context';
export var filterTasksQueries = function (accountId) { return ({
    newSessionQuery: "+(-\\/teaching_ownerId:* -\\/teaching_is_handedover:\"true\" -ogit\\/Knowledge\\/archived:\"true\")",
    startedSessionQuery: "+(+\\/teaching_ownerId:\"" + accountId + "\" -\\/teaching_without_issue:\"true\" -ogit\\/Knowledge\\/archived:\"true\")",
}); };
export var filterConversionQueries = function (accountId) { return ({
    newSessionQuery: "+(-\\/teaching_conversion_ownerId:* +\\/teaching_is_handedover:\"true\" -ogit\\/Knowledge\\/archived:\"true\")",
    startedSessionQuery: "+(+\\/teaching_conversion_ownerId:\"" + accountId + "\" +\\/teaching_is_handedover:\"true\" -ogit\\/Knowledge\\/archived:\"true\")",
}); };
var configureQuery = function (filterQuery) {
    var baseQuery = '+(ogit\\/_type:"ogit/Knowledge/AcquisitionSession")';
    return {
        querystring: baseQuery + " " + filterQuery,
        params: { limit: -1, count: 'true' },
    };
};
export var useWelcomeWidgetConfig = function (filterQueriesCallback) {
    var _a = useWidgetContext(), client = _a.client, _b = _a.provider, selectMe = _b.selectMe, selectAppsIds = _b.selectAppsIds, openApp = _b.openApp, title = _a.config.title;
    var me = selectMe();
    var _c = filterQueriesCallback(me.accountId), newSessionQuery = _c.newSessionQuery, startedSessionQuery = _c.startedSessionQuery;
    var configuredNewSessionQuery = configureQuery(newSessionQuery);
    var configuredStartedSessionQuery = configureQuery(startedSessionQuery);
    var newSessionsCount = useLucene(client, configuredNewSessionQuery, [0])[0];
    var startedSessionsCount = useLucene(client, configuredStartedSessionQuery, [0])[0];
    var loading = newSessionsCount.loading || startedSessionsCount.loading;
    var error = newSessionsCount.error || startedSessionsCount.error;
    var atqId = selectAppsIds().atqId;
    var greeting = title + " " + me.displayName + "!";
    var formattedNewSessionsCount = newSessionsCount.result[0];
    var formattedStartedSessionsCount = startedSessionsCount.result[0];
    return {
        openApp: openApp,
        loading: loading,
        error: error,
        atqId: atqId,
        greeting: greeting,
        formattedNewSessionsCount: formattedNewSessionsCount,
        formattedStartedSessionsCount: formattedStartedSessionsCount,
    };
};
