import React, { useState, useEffect } from 'react';
import { Loader } from '../../../modules/Loader';
import { useWidgetContext } from '../../context';
import { DetailsContainer } from './styles';
export var SessionItemDetails = function (_a) {
    var session = _a.session;
    var client = useWidgetContext().client;
    var _b = useState([]), description = _b[0], setDescription = _b[1];
    useEffect(function () {
        if (!session['/teaching_ownerId']) {
            return;
        }
        client.get(session['/teaching_ownerId']).then(function (owner) {
            setDescription([
                { name: 'Knowledge Owner', content: "" + owner['ogit/name'] },
            ]);
        });
    }, [client, session]);
    if (description.length === 0) {
        return React.createElement(Loader, null);
    }
    var descriptionContent = description.map(function (item) {
        var name = item.name, content = item.content;
        return (React.createElement("div", { key: name },
            React.createElement("b", null,
                name,
                ":"),
            React.createElement("span", null, content)));
    });
    return React.createElement(DetailsContainer, null, descriptionContent);
};
