import React from 'react';
import { Table, TableHeader, TableRow } from '../../../elements/Table/Table';
import { Loader } from '../../../modules/Loader';
import { useWidgetContext } from '../../context';
import { useLucene } from '../../hooks';
import { SessionItem } from './SessionItem';
import { WidgetHeader, WidgetHead, TableWrapper, GoButton, THeaderCellSmall, } from './styles';
var getQuery = function (ownerId) {
    var baseQuery = '(+ogit\\/_type:"ogit/Knowledge/AcquisitionSession")';
    var options = [
        '(-\\/teaching_is_handedover:"true")',
        "\\/teaching_ownerId:" + ownerId,
        '-\\/teaching_without_issue:"true"',
        '-ogit\\/Knowledge\\/archived:"true"',
    ];
    var optionsQuery = options.join(' ');
    var querystring = baseQuery + " AND (" + optionsQuery + ")";
    return { querystring: querystring, params: { limit: 6, order: 'ogit/_modified-on desc' } };
};
export var SessionList = function () {
    var _a = useWidgetContext(), client = _a.client, title = _a.config.title, _b = _a.provider, selectMe = _b.selectMe, selectAppsIds = _b.selectAppsIds, openApp = _b.openApp;
    var appId = selectAppsIds().atqId;
    var me = selectMe();
    var _c = useLucene(client, getQuery(me.accountId))[0], loading = _c.loading, sessions = _c.result;
    if (loading || typeof sessions === 'undefined') {
        return React.createElement(Loader, null);
    }
    return (React.createElement(React.Fragment, null,
        React.createElement(WidgetHeader, null,
            React.createElement(WidgetHead, null, title),
            React.createElement(GoButton, { secondary: true, onClick: function () { return openApp(appId, {}); } }, "Go to ATQ")),
        React.createElement(TableWrapper, null,
            React.createElement(Table, null,
                React.createElement(TableHeader, null,
                    React.createElement(TableRow, null,
                        React.createElement(THeaderCellSmall, null, "Name"),
                        React.createElement(THeaderCellSmall, null, "Progress"),
                        React.createElement(THeaderCellSmall, null, "Action"))),
                sessions.map(function (session) { return (React.createElement(SessionItem, { key: session['ogit/_id'], session: session })); })))));
};
export default SessionList;
