import styled from 'styled-components';
import { ChevronDown, ChevronRight } from '../../../icons';
import { Button } from '../../../inputs/Button';
import { TableBody, TableHeaderCell, TableCell, } from '../../../elements/Table/Table';
import { Box } from '../../../elements/Flex';
export var WidgetHeader = styled.div({
    display: 'flex',
    justifyContent: 'space-between',
    padding: '0.5em 1em',
});
export var WidgetHead = styled.h3({
    margin: 0,
    fontSize: '24px',
    fontWeight: 'bold',
}, function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.primaryText.default,
    });
});
export var GoButton = styled(Button)(function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.primary.default,
    });
});
export var TableWrapper = styled.div({
    maxHeight: '360px',
    overflow: 'auto',
    fontSize: '0.85em',
});
export var THeaderCellSmall = styled(TableHeaderCell)({
    fontWeight: 'normal',
    padding: '0.5em 1em',
});
export var TBodyHighlighted = styled(TableBody)(function (_a) {
    var theme = _a.theme;
    return ({
        '&:hover': {
            backgroundColor: theme.colors.secondary.verylight,
        },
        '&:last-child td': {
            borderBottom: 'none',
        },
    });
});
export var TCellSmall = styled(TableCell)({
    padding: '0.5em 1em',
});
export var RightToggle = styled(ChevronRight)({
    width: '20px',
    height: '20px',
    cursor: 'pointer',
});
export var DownToggle = styled(ChevronDown)({
    width: '20px',
    height: '20px',
    cursor: 'pointer',
});
export var PrimaryButton = styled(Button)({
    minWidth: 0,
}, function (_a) {
    var theme = _a.theme;
    return ({
        backgroundColor: theme.colors.primary.default,
        color: theme.colors.secondaryText.verylight,
    });
});
export var SecondaryButton = styled(PrimaryButton)(function (_a) {
    var theme = _a.theme;
    return ({
        backgroundColor: theme.colors.secondary.default,
    });
});
export var ProgressBarContainer = styled.div({
    display: 'flex',
    marginTop: '5px',
});
export var Bar = styled.div({
    height: 0,
    borderWidth: '2px',
    borderStyle: 'solid',
    margin: '0 1px',
}, function (_a) {
    var theme = _a.theme, progress = _a.progress, _b = _a.active, active = _b === void 0 ? false : _b;
    return ({
        borderColor: active
            ? theme.colors.primary.default
            : theme.colors.secondary.default,
        flexBasis: progress + "%",
    });
});
export var DetailsContainer = styled(Box)({
    padding: '5px 20px 10px',
    'div b': {
        marginRight: '5px',
    },
});
