import React, { useMemo } from 'react';
import { DiffText, InfoBody, InfoIcon, StatisticsColumn, TitleText, } from './styles';
import { Box } from '../../../elements';
import { Popover } from '../../../elements/Popover';
import { ProgressIndicator } from '../../../elements/ProgressIndicator';
import { useTheme } from '../../../../theme';
var getColor = function (theme, colorScheme) {
    var color = colorScheme.color, greyScale = colorScheme.greyScale;
    return theme.colors[color][greyScale];
};
export var StatisticColumn = function (_a) {
    var title = _a.title, whatItIs = _a.whatItIs, howToImprove = _a.howToImprove, differenceText = _a.differenceText, angle = _a.angle, valueText = _a.valueText, valueColor = _a.valueColor, backgroundColor = _a.backgroundColor, error = _a.error, errorText = _a.errorText;
    var _b = React.useState(null), popoverAnchor = _b[0], setPopoverAnchor = _b[1];
    var theme = useTheme();
    var valueProgressColor = useMemo(function () { return getColor(theme, valueColor); }, [
        theme,
        valueColor,
    ]);
    var backgroundProgressColor = useMemo(function () { return getColor(theme, backgroundColor); }, [backgroundColor, theme]);
    var popoverOpen = Boolean(popoverAnchor);
    var openPopover = function (event) {
        setPopoverAnchor(event.currentTarget);
    };
    var closePopover = function () {
        setPopoverAnchor(null);
    };
    return (React.createElement(StatisticsColumn, null,
        React.createElement(TitleText, null,
            title,
            React.createElement(InfoIcon, { onMouseOver: openPopover, onMouseLeave: closePopover }),
            React.createElement(Popover, { isOpen: popoverOpen, anchorElement: popoverAnchor, placing: "top" },
                React.createElement(InfoBody, null,
                    React.createElement("strong", null, "What it is:"),
                    React.createElement("p", null, whatItIs),
                    React.createElement("strong", null, "How to improve:"),
                    React.createElement("p", null, howToImprove)))),
        error ? (React.createElement(Box, null, errorText)) : (React.createElement(React.Fragment, null,
            React.createElement(ProgressIndicator, { valueText: valueText, valueColor: valueProgressColor, backgroundColor: backgroundProgressColor, angle: angle }),
            React.createElement(DiffText, null, differenceText)))));
};
