var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { useWidgetContext } from '../../context';
import { useTimeseries } from '../../hooks';
import { automationRate, automatedTasks, knowledgePool, } from './data-templates';
import { Statistic } from './Statistic';
var ONE_DAY = 86400000;
var MIDNIGHT_OFFSET = 200;
function getStatsData(config, data) {
    var _a = parseResult(data), yesterdayValue = _a[0], todayValue = _a[1];
    var difference = todayValue - yesterdayValue;
    return __assign(__assign({}, config), { differenceText: config.differenceText.replace('{VALUE}', difference > 0 ? "+" + difference : String(difference)), valueText: config.valueText.replace('{VALUE}', String(todayValue)), angle: config.title === automationRate.title
            ? (todayValue / 100) * 360
            : (difference / todayValue) * 360, error: data.error });
}
function parseResult(result) {
    return [
        parseInt(result.result && result.result[0] ? result.result[0].value : '0'),
        parseInt(result.result && result.result[1] ? result.result[1].value : '0'),
    ];
}
function useStatisticsData(client, name, _a) {
    var from = _a.from, to = _a.to;
    return useTimeseries(client, name, {
        from: from,
        to: to,
        limit: 2,
    });
}
export var StatisticsController = function () {
    var _a = useWidgetContext(), client = _a.client, title = _a.config.title;
    var dateNow = Date.now();
    var yesterdayStatDate = dateNow - (dateNow % ONE_DAY) - ONE_DAY - MIDNIGHT_OFFSET;
    var requestParams = {
        from: yesterdayStatDate,
        to: dateNow,
    };
    var kis = useStatisticsData(client, 'TotalKIs', requestParams)[0];
    var tasks = useStatisticsData(client, 'AutomatedTasks', requestParams)[0];
    var rate = useStatisticsData(client, 'AutomationRate', requestParams)[0];
    return (React.createElement(Statistic, { title: title || '', loading: kis.loading && tasks.loading && rate.loading, data: [
            getStatsData(automationRate, rate),
            getStatsData(automatedTasks, tasks),
            getStatsData(knowledgePool, kis),
        ] }));
};
