import React from 'react';
import { ContributorCard } from './ContributorCard';
import { GoToLink, Header, WidgetTitle } from '../../../shared';
import { Box } from '../../../../elements/Flex';
import { Loader } from '../../../../modules/Loader';
import { Body, Column, Message } from './styles';
export var ContributorPresenter = function (_a) {
    var title = _a.title, contributors = _a.contributors, aragoIdUrl = _a.aragoIdUrl, loading = _a.loading, error = _a.error;
    return (React.createElement(Box, { centered: true },
        React.createElement(Header, null,
            React.createElement(WidgetTitle, null, title),
            React.createElement(GoToLink, { href: aragoIdUrl }, "Go to Arago ID")),
        React.createElement(Loader, { active: loading }),
        React.createElement(Body, null, getWidgetContent({ contributors: contributors, error: error, loading: loading }))));
};
var getWidgetContent = function (_a) {
    var contributors = _a.contributors, error = _a.error, loading = _a.loading;
    if (error) {
        return React.createElement(Message, null, "Something went wrong");
    }
    if (contributors.length === 0 && !loading) {
        return React.createElement(Message, null, "No contributors found");
    }
    return contributors.map(function (rows, columnIndex) { return (React.createElement(Column, { key: columnIndex }, rows.map(function (_a) {
        var userId = _a.userId, ranking = _a.ranking, count = _a.count, avatarUrl = _a.avatarUrl;
        return (React.createElement(ContributorCard, { key: userId, userId: userId, ranking: ranking, count: count, avatarUrl: avatarUrl }));
    }))); });
};
