export var backgroundColor = '#393941';
export function getPositionOffset(placing, rect) {
    switch (placing) {
        case 'top':
            return {
                top: rect.top,
                transform: 'translate(-50%, -100%)',
                left: rect.left + rect.width / 2,
            };
        case 'right':
            return {
                top: rect.top + rect.height / 2,
                transform: 'translate(0, -50%)',
                left: rect.left + rect.width,
            };
        case 'left':
            return {
                top: rect.top + rect.height / 2,
                transform: 'translate(-100%, -50%)',
                left: rect.left,
            };
        default:
            return {
                top: rect.top + rect.height,
                left: rect.left + rect.width / 2,
                transform: 'translate(-50%, 0)',
            };
    }
}
export function getRect(element) {
    if (element === null) {
        return document.body.getBoundingClientRect();
    }
    return element.getBoundingClientRect();
}
export function getAutoPlacing(rect, placing, width) {
    var bodyClientRect = document.body.getBoundingClientRect();
    if (bodyClientRect.width - rect.right < width / 2 || rect.left < width) {
        var rightSide = bodyClientRect.width - rect.right - width / 2;
        var leftSide = rect.left - width;
        return rightSide > leftSide ? 'right' : 'left';
    }
    return placing;
}
export function getFlexDirection(placing) {
    switch (placing) {
        case 'bottom':
            return { flexDirection: 'column' };
        case 'top':
            return { flexDirection: 'column-reverse' };
        case 'right':
            return { flexDirection: 'row' };
        default:
            return { flexDirection: 'row-reverse' };
    }
}
export function getArrow(placing) {
    switch (placing) {
        case 'top':
            return {
                borderLeft: '8px solid transparent',
                borderRight: '8px solid transparent',
                borderTop: "8px solid " + backgroundColor,
            };
        case 'right':
            return {
                borderTop: '8px solid transparent',
                borderBottom: '8px solid transparent',
                borderRight: "8px solid " + backgroundColor,
            };
        case 'bottom':
            return {
                borderRight: '8px solid transparent',
                borderLeft: '8px solid transparent',
                borderBottom: "8px solid " + backgroundColor,
            };
        default:
            return {
                borderTop: '8px solid transparent',
                borderBottom: '8px solid transparent',
                borderLeft: "8px solid " + backgroundColor,
            };
    }
}
