import React, { useMemo } from 'react';
import { DonutContainer, DonutValue } from './styles';
var calculateProgressCoordinates = function (alpha) {
    if (alpha === void 0) { alpha = 0; }
    var R = 100;
    var a = ((90 - alpha) * Math.PI) / 180;
    var x = alpha === 360 ? -0.1 : Math.round(R * Math.cos(a));
    var y = Math.round(-R * Math.sin(a));
    return { x: x, y: y, center: alpha > 180 || x < 0 ? 1 : 0 };
};
export var ProgressIndicator = function (_a) {
    var valueColor = _a.valueColor, backgroundColor = _a.backgroundColor, _b = _a.angle, angle = _b === void 0 ? 0 : _b, valueText = _a.valueText;
    var _c = useMemo(function () { return calculateProgressCoordinates(angle); }, [angle]), _d = _c.x, x = _d === void 0 ? 0 : _d, _e = _c.y, y = _e === void 0 ? 0 : _e, _f = _c.center, center = _f === void 0 ? 0 : _f;
    return (React.createElement(DonutContainer, null,
        React.createElement("svg", { width: "100%", height: "100%", viewBox: "-106 -106 212 212" },
            React.createElement("path", { d: "M 0,-100 A 100,100 0 1,1 -0.1,-100", fill: "none", strokeWidth: "4", stroke: backgroundColor }),
            React.createElement("path", { d: "M 0,-100 A 100,100 0 " + center + ",1 " + x + "," + y, fill: "none", strokeWidth: "4", stroke: valueColor })),
        React.createElement(DonutValue, null, valueText)));
};
