import styled from 'styled-components';
import defaultTheme from '../../../theme';
export var StyledInput = styled.input({
    margin: 0,
    outline: 0,
    textAlign: 'left',
    lineHeight: '1.5em',
    padding: '.5em 1em',
}, function (_a) {
    var theme = _a.theme, error = _a.error;
    var color = error ? theme.colors['red'].light : theme.greyscale.light;
    var hoverColor = error
        ? theme.colors['red'].default
        : theme.colors.primary.default;
    var backgroundColor = error ? theme.colors['red'].verylight : undefined;
    return {
        borderRadius: theme.sizes.borderRadius,
        border: "1px solid " + color,
        backgroundColor: backgroundColor,
        color: error ? theme.colors['red'].default : undefined,
        '&:focus, &:focus:hover, &:hover': {
            borderColor: hoverColor,
        },
        '&:hover': {
            boxShadow: "1px 1px 12px 0 " + theme.greyscale.dark,
        },
        '&:disabled': {
            backgroundColor: 'transparent',
            '&:hover': {
                boxShadow: 'none',
                borderColor: color,
            },
        },
    };
}, function (_a) {
    var fluid = _a.fluid;
    return (fluid ? { width: '100%' } : null);
});
StyledInput.defaultProps = {
    theme: defaultTheme,
};
