import { xl, sm, md, lg } from './breakpoints';
export var flexbox = function (_a) {
    var size = _a.size, theme = _a.theme;
    if (!size) {
        return;
    }
    var res = {};
    var sizeArray = (Array.isArray(size) ? size : [1, size]).map(function (i) {
        return Math.min(Math.max(i, 0), 1);
    });
    var lastSize = sizeArray[sizeArray.length - 1];
    for (var i = 0; i < 4; i++) {
        var query = '';
        switch (i) {
            case 0:
                query = sm({ theme: theme });
                break;
            case 1:
                query = md({ theme: theme });
                break;
            case 2:
                query = lg({ theme: theme });
                break;
            default:
                query = xl({ theme: theme });
                break;
        }
        res[query] = {
            flexBasis: 100 * (sizeArray[i] || lastSize) + "%",
        };
    }
    return res;
};
var alignable = function (isRow) { return function (_a) {
    var verticalAlign = _a.verticalAlign, horizontalAlign = _a.horizontalAlign, centered = _a.centered, floated = _a.floated;
    var s = {};
    if (!verticalAlign && !floated && !centered && !isRow) {
        return;
    }
    if (verticalAlign) {
        s[isRow ? 'alignItems' : 'justifyContent'] = verticalAlign;
    }
    if (floated) {
        s[floated === 'left' ? 'marginRight' : 'marginLeft'] = 'auto';
    }
    if (centered) {
        s[!isRow ? 'alignItems' : 'justifyContent'] =
            centered === true ? 'center' : 'space-around';
    }
    if (horizontalAlign) {
        s[!isRow ? 'alignItems' : 'justifyContent'] = horizontalAlign;
    }
    if (isRow) {
        s.width = '100%';
    }
    return s;
}; };
export var alignRow = alignable(true);
export var alignColumn = alignable();
